package com.jxml.quick.ocm; // Open Conversion Model
import com.jxml.quick.*;
import org.xml.sax.*;
import java.io.*;

/**
 * Generic attribute model.
 */
public class OCMattribute implements QName
{
	public String name;
	public String text;

	public OCMattribute(String name, String text)
	{
		this.name=name;
		this.text=text;
	}

	public OCMattribute(String text)
	{
		this.text=text;
	}

	public String toString()
	{
		return text;
	}

	public String getQName()
	{
		return name;
	}

	public void setQName(String name)
	{
		this.name=name;
	}
	
	public boolean equals(Object x)
	{
		if (!(x instanceof OCMattribute))
			return false;
		OCMattribute a=(OCMattribute) x;
		return name.equals(a.name);
	}
}